it-swarm.com.de

Codeigniter-Fehler: Aufruf der nicht definierten Funktion mysql_pconnect ()

Ich habe meine Codeigniter-Version Schritt für Schritt von Version 2.2.4 auf 3.0.6 aktualisiert und erhalte eine Fehlermeldung:

An uncaught Exception was encountered

Type: Error

Message: Call to undefined function mysql_pconnect()

Filename: path-to-project\system\database\drivers\mysql\mysql_driver.php

Line Number: 135

Backtrace:

File: path-to-project\application\controllers\Main.php
Line: 10
Function: __construct

File: path-to-project\index.php
Line: 315
Function: require_once

Ich habe gerade meine index.php-Datei und mein Systemverzeichnis durch das neue ersetzt und einige Änderungen in meiner Anwendung gemäß Tutorial vorgenommen. 

und das ist der Hauptcontroller:

class Main extends CI_Controller {

    function __construct()
    {
        parent::__construct();
        $this->load->model('main_model');
    }
}

Was verursacht das Problem ?!

Und das ist der Link des Tutorials.

22
Afshin

Dank an Anant

Ich komme zu einem Schluss:

Ich habe meine alte database.php-Datei im config-Ordner mit der neuen komplett geändert:

Von:

$db['default']['hostname'] = 'localhost';
$db['default']['username'] = '';
$db['default']['password'] = '';
$db['default']['database'] = '';
$db['default']['dbdriver'] = '';
$db['default']['dbprefix'] = '';
$db['default']['pconnect'] = TRUE;
$db['default']['db_debug'] = TRUE;
$db['default']['cache_on'] = FALSE;
$db['default']['cachedir'] = '';
$db['default']['char_set'] = 'utf8';
$db['default']['dbcollat'] = 'utf8_general_ci';
$db['default']['swap_pre'] = '';
$db['default']['autoinit'] = TRUE;
$db['default']['stricton'] = FALSE;

Zu:

$db['default'] = array(
    'dsn'   => '',
    'hostname' => '',
    'username' => '',
    'password' => '',
    'database' => '',
    'dbdriver' => 'mysqli',
    'dbprefix' => '',
    'pconnect' => FALSE,
    'db_debug' => (ENVIRONMENT !== 'production'),
    'cache_on' => FALSE,
    'cachedir' => '',
    'char_set' => 'utf8',
    'dbcollat' => 'utf8_general_ci',
    'swap_pre' => '',
    'encrypt' => FALSE,
    'compress' => FALSE,
    'stricton' => FALSE,
    'failover' => array(),
    'save_queries' => TRUE
);

Und der Fehler ist weg!

10
Afshin

Veraltete Funktionen in PHP 5.5.x :

Die ursprüngliche MySQL-Erweiterung ist nun veraltet und generiert beim Herstellen einer Verbindung mit einer Datenbank E_DEPRECATED-Fehler. Verwenden Sie stattdessen die Erweiterungen MySQLi oder PDO_MySQL.

Sie verwenden den veralteten 'mysql'dbdriver. Suchen Sie die Datei config/database.php und ändern Sie dbdriver, um 'mysqli' zu verwenden:

$db['default']['dbdriver'] = 'mysqli'; 
58
DotBot

Wenn dieser Fehler beim Hosten der Website aufgetreten ist, stellen Sie sicher, dass Sie die korrekte PHP -Version (die von Ihrem CI verwendete Version) festlegen.

0
Blaze Tama